tbb::flow::interface7::composite_node< tbb::flow::tuple< InputTypes...>, tbb::flow::tuple<> > Class Template Reference
Inheritance diagram for tbb::flow::interface7::composite_node< tbb::flow::tuple< InputTypes...>, tbb::flow::tuple<> >:

## Public Types

typedef tbb::flow::tuple < receiver< InputTypes > &... > | input_ports_type

## Public Member Functions

| composite_node (graph &g, const char *my_type_name=" ")
void | set_external_ports (input_ports_type &&input_ports_tuple)
void | set_external_ports (const input_ports_type &input_ports_tuple)
template<typename... NodeTypes>
bool | add_visible_nodes (const NodeTypes &...n)
template<typename... NodeTypes>
bool | add_nodes (const NodeTypes &...n)
template<typename... Nodes>
bool | add_nodes (Nodes &...)
template<typename... Nodes>
bool | add_visible_nodes (Nodes &...)
void | set_name (const char *name)
input_ports_type | input_ports ()
void | extract ()
Public Member Functions inherited from tbb::flow::interface7::graph_node
| graph_node (graph &g)

## Protected Member Functions

void | reset_node (__TBB_PFG_RESET_ARG(reset_flags))
Protected Member Functions inherited from tbb::flow::interface7::graph_node
virtual void | reset_node (__TBB_PFG_RESET_ARG(reset_flags f=rf_reset_protocol))=0

## Additional Inherited Members

Protected Attributes inherited from tbb::flow::interface7::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.